Name:           python-validate-pyproject
Version:        0.23
Release:        %autorelease
Summary:        Validation library and CLI tool for checking on 'pyproject.toml' files using JSON Schema

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0 and MIT and BSD-3-Clause
URL:            https://github.com/abravalheri/validate-pyproject/
Source:         %{pypi_source validate_pyproject}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'validate-pyproject' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-validate-pyproject
Summary:        %{summary}

%description -n python3-validate-pyproject %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-validate-pyproject all,store,test,typecheck


%prep
%autosetup -p1 -n validate_pyproject-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,store,test,typecheck


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-validate-pyproject -f %{pyproject_files}


%changelog
%autochangelog